using UnityEngine;

namespace NBF
{
    public class UIDef
    {
        public const string UIRoot = "Assets/ResRaw/Fgui/";

        public class DefaultScreen
        {
            public const int Width = 1920;
            public const int Height = 1080;
        }

        public class Pack
        {
            public const string Common = "Common";
            public const string CommonIcon = "CommonIcon";
            public const string CommonFlag = "CommonFlag";
            public const string Main = "Main";
        }

        public class UIOrder
        {
            public const int CommonTopPanel = 200;
            public const int Loading = 500;
            public const int Guide = 900;
            public const int Notices = 1000;

            /// <summary>
            /// 屏蔽Combo操作
            /// </summary>
            public const int Forbid = 2000;

            /// <summary>
            /// 转菊花
            /// </summary>
            public const int Wait = 2001;

            /// <summary>
            /// 引导屏蔽所有操作
            /// </summary>
            public const int GuideForbid = 2002;

            /// <summary>
            /// 网络错误弹框
            /// </summary>
            public const int NetDisconnect = 2100;

            /// <summary>
            /// 最顶层层 GM之类的用
            /// </summary>
            public const int Max = 3100;
        }

        public enum InteractiveType
        {
            [InspectorName("船")] Boat = 1,

            [InspectorName("银行")] Bank = 2,

            [InspectorName("餐厅")] Canteen = 3,

            [InspectorName("烤箱")] Oven = 4,

            [InspectorName("帐篷")] Tent = 5,

            [InspectorName("晾干器")] Drying = 6,

            [InspectorName("篝火")] Bonfire = 7,

            [InspectorName("烟熏箱")] Fumigate = 8,

            [InspectorName("食品商店")] FoodShop = 11,

            [InspectorName("钓鱼商店")] FishingShop = 12,

            [InspectorName("工业品店")] ToolsShop = 13,

            [InspectorName("自动贩卖机")] VendingMachine = 14,

            [InspectorName("码头")] Wharf = 15,

            [InspectorName("鱼市")] FishBazaar = 21,

            [InspectorName("订购市场")] ReserveBazaar = 22
        }

        public class ID
        {
            public const int Loading = 1;
            public const int Home = 2;
            public const int SettingPanel = 3;
            public const int HelpPanel = 4;
            public const int MapPanel = 5;

            public const int ShopPanel = 10;
            public const int MakePanel = 11;
            public const int BagPanel = 12;
            public const int FishBagPanel = 13;
        }
    }
}